Eclipse BIRT Report Object Model (ROM)

Level Element

# Element Overview

### Details

Display Name: | Level
Since: | 2.2
XML Element: | `None`
Extends: | ReportElement
Extendable: | No
Abstract: | Yes
Name Space: | Styles
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

dataType
dateTimeFormat
dateTimeLevelType
defaultValue
interval
intervalBase
intervalRange
levelType
staticValues
valueAccessControls

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, name, newHandlerOnEachEvent, propertyMasks, userProperties, viewAction

# Property Detail

## dataType Property

### Details

Type: | choice (columnDataType)
Since: | 2.2
Required: | No
Display Name: | Data type
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
integer | Integer | integer |
string | String | string |
date-time | Date Time | date-time |
decimal | Decimal | decimal |
float | Float | float |
boolean | Boolean | boolean |
date | Date | date |
time | Time | time |
blob | Blob | blob |

## dateTimeFormat Property

### Details

Type: | string
Since: | 2.2
Required: | No
Display Name: | Date time format
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

## dateTimeLevelType Property

### Details

Type: | choice (dateTimeLevelType)
Since: | 2.2
Required: | No
Display Name: | Date time level type
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
year | Year | year |
quarter | Quarter | quarter |
month | Month | month |
week-of-month | Week Of Month | week-of-month |
week-of-year | Week Of Year | week-of-year |
day-of-week | Day Of Week | day-of-week |
day-of-month | Day Of Month | day-of-month |
day-of-year | Day Of Year | day-of-year |
hour | Hour | hour |
minute | Minute | minute |
second | Second | second |

## defaultValue Property

### Details

Type: | expression
Context: |
Expression Type: | None
Since: | 2.3
Required: | No
Display Name: | Default value
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

## interval Property

### Details

Type: | choice (intervalType)
Since: | 2.2
Required: | No
Display Name: | Interval
JavaScript Type: |
Default Value: | none
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Interval

### Choices

Name | Display Name | Value | Description
none | No Interval | none |
prefix | Prefix | prefix |
interval | Interval | interval |

## intervalBase Property

### Details

Type: | string
Since: | 2.2
Required: | No
Display Name: | Interval base
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Interval

## intervalRange Property

### Details

Type: | float
Since: | 2.2
Required: | No
Display Name: | Interval range
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Interval

## levelType Property

### Details

Type: | choice (levelType)
Since: | 2.2
Required: | No
Display Name: | Level type
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
dynamic | Dynamic | dynamic |
mirrored | Mirrored | mirrored |

## staticValues Property

### Details

Type: | List of Rule Structures
Since: | 2.2
Required: | No
Display Name: | Static values
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top

## valueAccessControls Property

### Details

Type: | List of contentElements
Since: | 2.2
Required: | No
Display Name: | Value access controls
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top